@import url("./core-ibCN2xu5.css");

#footer {
    background-color: var(--dark-text);
    color: var(--light-text);
    padding-bottom: 1em;
    position: relative;
    z-index: 2;
}

#footer-top-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    border-bottom: 1px solid var(--light-text);
    width: 100%;
    grid-column-start: span 2;
}

#footer-logo {
    grid-row-start: 2;
}

#footer-top-links {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    color: var(--light-text);
    gap: 2.5em;
    padding: 1.5em;
    margin-left: 2em;
    width: 100%;
}

#footer-content-container {
    display: grid;
    grid-template-columns: 0.75fr 1fr;
    padding: 1em max(1em, 3vw);
    padding-bottom: 2em;
    gap: 2em;
    align-items: center;
}

#footer-subscribe-error-message {
    color: var(--accent-text);
    align-self: flex-end;
    padding: 1em;
}

#footer-subscribe-container {
    display: flex;
    flex-direction: column;
    padding-top: 1em;
    padding-bottom: 1em;
    text-align: right;
    align-items: flex-end;
    grid-row-start: 2;
}

#footer-subscribe-text {
    max-width: 850px;
}

#footer-socials-container {
    display: flex;
    gap: 1em;
    align-self: flex-end;
    justify-content: flex-end;
    flex-grow: 1;
}

#footer-bottom-links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: fit-content;
    justify-self: center;
    align-items: center;
    gap: 1em;
}

#footer-bottom-links-container {
    display: flex;
    gap: 1px;
    background-color: var(--light-text);
}

#footer-bottom-links span {
    background-color: var(--dark-text);
    padding-left: 4vw;
    padding-right: 4vw;
}

#footer-subscribe-form {
    display: flex;
    flex-direction: row;
    gap: 1em;
    align-items: center;
    justify-content: flex-end;
}

.footer-link {
    color: var(--light-text);
    text-decoration: none;
}

.footer-services-link {
    display: none;
}

.footer-link:hover {
    color: var(--light-text);
    text-decoration: underline;
}

.footer-link:visited {
    color: var(--light-text);
}

.button-accent {
    background-color: transparent;
    border: 0;
}

.button-accent:disabled {
    background-color: var(--dark-text);
    color: var(--light-text);
    cursor: wait;
    border: 0;
}

.button-accent:hover {
    cursor: pointer;
}

.button-accent:active {
    background-color: var(--less-dark-text);
    color: var(--light-text);
}

.input-accent
{
    background-color: var(--dark-text);
    color: var(--light-text);
    color-scheme: dark;
    padding: 1em;
    padding-left: 2em;
    padding-right: 2em;
    border: 0;
    border-bottom: 1px solid var(--light-text);
    border-radius: 0;
    width: fit-content;
}

.input-accent:focus {
    outline: none;
    border-bottom: 1px solid var(--light-text);
}

.input-error {
    border: 3px solid var(--less-dark-text) !important;
}

.input-accent::placeholder {
    color: var(--light-text);
}

/* Mobile */
@media (max-width: 1100px) or (hover: none) {

    #footer {
        display: grid;
        grid-template-columns: 1fr;
    }

    #footer-logo {
        padding-top: 4em;
        grid-row-start: 1;
    }

    #footer-top-container {
        justify-content: center;
    }

    #footer-top-container {
        border: 0;
        grid-row-start: 2;
    }

    #footer-top-links {
        display: grid;
        grid-template-columns: 1fr 1fr;
        justify-content: center;
        align-items: center;
        width: auto;
        margin-left: 0;
        text-align: center;
        row-gap: 1em;
    }

    #footer-subscribe-form {
        padding-top: 1em;
        align-items: center;
    }

    #footer-content-container {
        display: grid;
        grid-template-columns: 1fr;
        align-items: center;
        grid-row-start: 1;
        gap: 1em;
    }

    #footer-socials-container {
        align-items: center;
        grid-row-start: 6;
        grid-column-start: span 2;
        justify-content: center;
    }

    #footer-subscribe-container {
        flex-direction: column;
        width: 100%;
        text-align: left;
        align-items: flex-start;
        grid-row-start: 3;
        padding-top: 0;
        padding-bottom: 0;
    }

    #footer-subscribe-container > .small-font {
        font-size: 1.5em;
        padding-top: 0.5em;
        padding-bottom: 0.5em;
    }

    #footer-bottom-links {
        background-color: unset;
    }

    #footer-bottom-links span {
        padding-top: 1vh;
    }

    #footer-join-title {
        font-size: var(--font-2);
    }

    #footer-home-link {
        grid-row-start: 1;
        grid-column-start: 1;
    }

    #footer-shop-link {
        grid-row-start: 1;
        grid-column-start: 2;
    }

    #footer-services-link {
        display: none;
    }

    #footer-about-link {
        grid-row-start: 2;
        grid-column-start: 1;
    }

    #footer-signature-link {
        grid-row-start: 2;
        grid-column-start: 2;
    }

    #footer-process-link {
        grid-row-start: 3;
        grid-column-start: 1;
    }

    #footer-tailored-link {
        grid-row-start: 3;
        grid-column-start: 2;
    }

    #footer-contact-link {
        grid-row-start: 4;
        grid-column-start: 1;
    }

    #footer-bespoke-link {
        grid-row-start: 4;
        grid-column-start: 2;
    }

    .footer-services-link {
        display: inline;
    }

    .input-accent {
        width: 20vw;
    }

}